Package org.eclipse.birt.report.model.api.validators

# Class BookmarkValidator

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractElementValidator
org.eclipse.birt.report.model.api.validators.BookmarkValidator

public class BookmarkValidator extends org.eclipse.birt.report.model.validators.AbstractElementValidator

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Constructor Summary

Constructors
Constructor
Description
`BookmarkValidator()`

## Method Summary

Modifier and Type
Method
Description
`static BookmarkValidator`
`getInstance()`
`List<SemanticException>`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Validates the given element which is in report.

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BookmarkValidator

public BookmarkValidator()

## Method Details

### getInstance

public static BookmarkValidator getInstance()

### validate

public List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Description copied from class: `org.eclipse.birt.report.model.validators.AbstractElementValidator`
Validates the given element which is in report.

Specified by:
  `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`
Parameters:
  `module` - the module
  `element` - the given element to validate
Returns:
  error list, each of which is the instance of `SemanticException`.